#!/bin/sh
#
# *** 2004/10/16 by T.Adachi (tadachi@tadachi-net.com) ***
#
# for recorded by CX23416GYC-STVLP MPEG2 files
# tr_mpg2tompg4.sh filename width height

filename=$1
declare -i WIDTH=$2
declare -i HEIGHT=$3
declare -i LR_CLIP=0
declare -i TOP_CLIP=0

# ⤷פʤ餳ä٤
case $WIDTH in
720) LR_CLIP=22;;
640) LR_CLIP=22;;
320) LR_CLIP=12;;
esac

case $HEIGHT in
480) TB_CLIP=4;;
240) TB_CLIP=4;;
esac

declare -i RIGHT=$WIDTH-$LR_CLIP
declare -i BOTTOM=$HEIGHT-$TB_CLIP

/usr/local/bin/transcode -i $filename -x mpeg2 -y divx5\
   -o `dirname $filename`/`basename $filename ".mpg"`.avi\
   -V -I 1 -b 128,0,5 -w 1200,250,100 -q 0\
   -J mask=lefttop=$LR_CLIP"x"$TB_CLIP:rightbot=$RIGHT"x"$BOTTOM
# NTSC vob:   -M 2
